API e desenvolvedores

Update webhook

patch/v1/webhooks/{webhook_id}

Update a webhook endpoint (URL, events, active status, or description).

Exemplo

curl -X PATCH "https://api.ya.onl/v1/webhooks/{webhook_id}" \
  -H "X-API-Key: yv_live_v1_…" \
  -H "Content-Type: application/json" \
  -d '{}'

Parâmetros

webhook_idstringpathobrigatório

Webhook endpoint identifier

Corpo da requisição

urlstring | null

New webhook URL

eventsWebhookEventType[] | null

New event types

is_activeboolean | null

Enable or disable

descriptionstring | null

New description

Respostas

200
Successful Response
401
Invalid or missing API key
403
API key lacks the required scope
404
Webhook not found
422
Validation Error
429
Rate limit exceeded
503
Webhooks are not configured for this environment
Precisa de ajuda?